Mail archive
alpine-devel

[alpine-devel] [PATCH 06/25] testing/mate-backgrounds: fix build function and deps

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Fri, 19 Dec 2014 10:26:12 +0000

---
 testing/mate-backgrounds/APKBUILD | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)
diff --git a/testing/mate-backgrounds/APKBUILD b/testing/mate-backgrounds/APKBUILD
index 4117df6..b0139f7 100644
--- a/testing/mate-backgrounds/APKBUILD
+++ b/testing/mate-backgrounds/APKBUILD
_at_@ -2,14 +2,14 @@
 # Maintainer:
 pkgname=mate-backgrounds
 pkgver=1.9.1
-pkgrel=0
+pkgrel=1
 pkgdesc="Background images and data for MATE"
 url="https://github.com/mate-desktop/mate-backgrounds"
 arch="noarch"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev autoconf automake intltool glib-dev"
+makedepends="$depends_dev intltool glib-dev"
 install=""
 subpackages="$pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
_at_@ -27,7 +27,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
 	make || return 1
 }
 
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Dec 19 2014 - 10:26:12 GMT